Skip to main content
GET
Find budgets by period

Authorizations

X-API-Key
string
header
required

Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.

Query Parameters

end
string<date>

Period end (ISO 8601).

Example:

"2022-03-10"

start
string<date>

Period start (ISO 8601).

Example:

"2022-03-10"

Response

200 - application/json

Budgets returned

id
string
targetId
string
targetType
enum<string>
Available options:
VALUEUNIT,
ORGANIZATIONALUNIT,
TEAM
periodStart
string<date>
Example:

"2022-03-10"

periodEnd
string<date>
Example:

"2022-03-10"

budgetAmount
number
currencyUnitId
string
description
string
externalId
string
spentAmount
number
remainingAmount
number
spentPercentage
number<double>
unvaluedMinutes
integer<int64>